Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Upload Failed error after upgrading to 1.5.26 from 1.5.24  (Read 3784 times)

0 Members and 1 Guest are viewing this topic.

theqe2story

  • Coppermine novice
  • *
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 30
  • Rob Lightbody
    • The QE2 Story
Upload Failed error after upgrading to 1.5.26 from 1.5.24
« on: January 20, 2014, 11:26:06 pm »

Hi there,

Big fan of Coppermine, and have had no problems with it, until I did the most recent update.

Now when anyone uploads a photo, it gives an error message "upload failed", even though the image does actually upload successfully.

With debugging turned on, I can see it says
/include/functions.inc.php•Notice line 4307: Undefined variable: result

The gallery is bridged with SMF 2.0.6.

Any help appreciated.

Thank you,

Rob Lightbody. 

theqe2story

  • Coppermine novice
  • *
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 30
  • Rob Lightbody
    • The QE2 Story
Re: Upload Failed error after upgrading to 1.5.26 from 1.5.24
« Reply #1 on: January 21, 2014, 12:17:24 am »

Following the troubleshooting steps, it works OK with simple mode, but not with advanced.

What has changed in 1.5.26 to stop this working ?

Αndré

  • Administrator
  • Coppermine addict
  • *****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15765
Re: Upload Failed error after upgrading to 1.5.26 from 1.5.24
« Reply #2 on: January 21, 2014, 10:02:01 am »

What you describe is often a theme related issue or due to files which are incomplete or have been corrupted during the upload. Hard to tell without the required data: http://documentation.coppermine-gallery.net/en/upload_troubleshooting.htm#upload_support

If this gallery is affected, please have a look at the HTML source code and you'll find
Code: [Select]
?>at the beginning, which is most likely the cause.
Logged

theqe2story

  • Coppermine novice
  • *
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 30
  • Rob Lightbody
    • The QE2 Story
Re: Upload Failed error after upgrading to 1.5.26 from 1.5.24
« Reply #3 on: January 21, 2014, 08:21:48 pm »

Hi André, thanks for your reply.

OK I had more time this evening, so I've created the test account and set it up as described.  Simple works.  'Multiple Files' doesn't.  And as I mentioned, it was working fine on 1.5.24.  Username is coppermine, password is coppermine, gallery is at http://www.theqe2story.com/forum/gallery/.   There is an album called 'test album' that is visible once logged in, and has been setup as described.

Thanks for your help!

- Rob

Αndré

  • Administrator
  • Coppermine addict
  • *****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15765
Re: Upload Failed error after upgrading to 1.5.26 from 1.5.24
« Reply #4 on: January 21, 2014, 08:32:30 pm »

I tested your gallery with a different theme and a different language, the
Code: [Select]
?>remains.

Please re-apply the upgrade (i.e. replace all files on your web server as described in the upgrade docs), maybe one or more files got corrupted during the upload. If it still doesn't work, please temporary disable the plugin engine and try again.
Logged

theqe2story

  • Coppermine novice
  • *
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 30
  • Rob Lightbody
    • The QE2 Story
Re: Re: Upload Failed error after upgrading to 1.5.26 from 1.5.24
« Reply #5 on: January 21, 2014, 08:36:39 pm »

I tested your gallery with a different theme and a different language, the
Code: [Select]
?>remains.

Please re-apply the upgrade (i.e. replace all files on your web server as described in the upgrade docs), maybe one or more files got corrupted during the upload. If it still doesn't work, please temporary disable the plugin engine and try again.

Thanks, I don't know which file to look for the ?> in though, or I would!

theqe2story

  • Coppermine novice
  • *
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 30
  • Rob Lightbody
    • The QE2 Story
Re: Re: Upload Failed error after upgrading to 1.5.26 from 1.5.24
« Reply #6 on: January 21, 2014, 08:38:55 pm »

Thanks, I don't know which file to look for the ?> in though, or I would!

I TAKE IT BACK!  You're right, thanks!  FIXED!

It was in the bridging file smf20.inc.php.

THANK YOU!!  :D
Pages: [1]   Go Up
 

Page created in 0.028 seconds with 20 queries.